<?php
/**
 *  Fluistr addon Class for the plugin iThemes Security
 *
 *  @class WP_Fluistr_Addon_Itsec
 *  @package fluistr-athentication
 *  @subpackage addons
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/**
 * Loads module load_mod_fluistr_addon_itsec
 *
 * @return void
 */
function load_mod_fluistr_addon_itsec() {
	if (
		empty( WPFluistrAuth::get_option( 'fluistr_activated' ) )
		|| class_exists( 'WP_Fluistr_Addon_Itsec' )
		|| ! class_exists( 'ITSEC_Core' ) ) {
		return;
	}

	/**
	 * WP_Fluistr_Addon_Itsec
	 */
	class WP_Fluistr_Addon_Itsec {

		/**
		 * __construct
		 *
		 * @return void
		 */
		public function __construct() {
			WPFluistrAuth::AddModule(
				'fluistr_itsec',
				array(
					'name'    => 'Fluistr Addon for iThemes Security',
					'version' => '0.6.0',
				)
			);

			try {
				global $itsec_lockout;
				remove_filter( 'authenticate', array( $itsec_lockout, 'check_authenticate_lockout' ), 30 );

				add_action( 'fluistr_appsignon', array( $this, 'appsignon' ) ); // login via app.

			} catch ( Exception $e ) {
				if ( WP_DEBUG() ) {
					throw new \Exception( $e->getMessage() );
				}
			}
		}

		/**
		 * App signon
		 *
		 * @param  mixed $user WordPress user.
		 * @return void
		 */
		private function appsignon( $user = null ) {
			do_action( 'itsec_login_interstitial_logged_in', $user );
		}
	}
	new WP_Fluistr_Addon_Itsec();
}

add_action( 'wp_fluistr_modules', 'load_mod_fluistr_addon_itsec' );
