<?php
/*
Plugin Name: Fluistr Authentication
Plugin URI: https://www.fluistr.com/
Description: Fluistr | Zero Password - One touch - Two Factor Authentication. Secure your WordPress site with a passwordless, simple and intuitive 2-factor authentication
Version: 1.0.1
Author: Virgial Berveling
Author URI: https://www.freeamigos.nl/
Text Domain: fluistr-auth
Domain Path: /languages/
License: GPLv2
*/

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

define( 'WP_FLUISTR_SLUG', 'fluistr_auth' );
define( 'WP_FLUISTR_VERSION', '1.0.1' );
define( 'WP_FLUISTR_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
define( 'WP_FLUISTR_PLUGIN_DIR', untrailingslashit( dirname( __FILE__ ) ) );



//load modules
require_once WP_FLUISTR_PLUGIN_DIR.'/modules/fluistr-settings/fluistr-settings.php';
require_once WP_FLUISTR_PLUGIN_DIR.'/modules/fluistr-users/fluistr-users.php';
require_once WP_FLUISTR_PLUGIN_DIR.'/modules/fluistr-login/fluistr-login.php';
require_once WP_FLUISTR_PLUGIN_DIR.'/modules/license/license.php';

//load addons
require_once WP_FLUISTR_PLUGIN_DIR.'/addons/addon-wordfence.php';
require_once WP_FLUISTR_PLUGIN_DIR.'/addons/addon-itsec.php';

function wp_fluistr_load()
{
	require_once WP_FLUISTR_PLUGIN_DIR . '/core/class.WPFluistrAuth.php';
	new WPFluistrAuth();
}

add_action('plugins_loaded','wp_fluistr_load');

function wp_fluistr_uninstall()
{
	require_once WP_FLUISTR_PLUGIN_DIR . '/core/class.WPFluistrAuth.php';
	WPFluistrAuth::uninstall();
}
register_uninstall_hook(__FILE__, 'wp_fluistr_uninstall');