<?php
/**
 *  Fluistr Authentication
 *
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-settings
 */

if ( ! defined( 'ABSPATH' ) || ! class_exists( 'WPFluistrAuth', false ) ) {
	exit;
}
require_once dirname( __FILE__ ) . '/../formfields.php';
?>
<div class="fluistr-header"><div class="logo"></div></div>
<div class="fluistr-payoff"><?php _e( 'Zero Password - One touch - Two Factor Authentication', 'fluistr-auth' ); ?></div>
<div class="fluistr-wrap">
	<h1><?php _e( 'Fluistr Authentication', 'fluistr-auth' ); ?> <small><?php _e( 'version', 'fluistr-auth' ); ?> <?php echo WP_FLUISTR_VERSION; ?></small>
	<?php if ( ! defined( 'WP_FLUISTR_LICENSED' ) ) : ?>
	<span class="version-label"><?php _e( 'Free version', 'fluistr-auth' ); ?></span>
<?php else : ?>
	<span class="version-label green"><?php _e( 'Pro version', 'fluistr-auth' ); ?></span>
<?php endif; ?>
</h1>
	<form method="post" action="?page=<?php echo WPFluistrSettingsPage::MENU_SLUG; ?>">
		<?php wp_nonce_field( 'updating_fluistr_auth', 'wpnonce_fluistrauth' ); ?>
		<input type="hidden" name="wp_fluistr[updated]" value="<?php echo time(); ?>" />
		<p>
			<?php _e( 'Manage your preferences below.', 'fluistr-auth' ); ?>
		</p>
		<div class="nav-tab-wrapper"></div>
		<div class="spacer"></div>
		<div class="sections-wrapper">
		<?php
			// This prints out all hidden setting fields.
			settings_fields( 'fluistr_option_group' );
			WPFluistrSettingsPage::print_sections();
		?>
		</div>
		<div class="clear"></div>
	</form>
</div>
