<?php
/**
 *  Fluistr Authentication License view
 *
 *  @class WPFluistrAuth
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-license
 */

if ( ! defined( 'ABSPATH' ) || ! class_exists( 'WPFluistrAuth', false ) ) exit;
include_once(dirname(__FILE__).'/../../fluistr-settings/formfields.php');

$border ='';
$license_class = '';
$license = FluistrLicense::getLicense();

$border = $license->get_license_status()=='active'?'border-bottom-color:#46b450;border-bottom-width:3px;':'';
$license_class = $license->get_license_status()=='active'?'licensed':'';
?>
<div class="section-part <?php echo $license_class?>">

    <h2><?php _e('WP Fluistr Authentication License ', 'fluistr-auth')?> <small><small><?php _e('version')?> <?php echo WP_FLUISTR_VERSION?></small></small></h2>
    <p class="description"><?php _e('Fill in your license key.', 'fluistr-auth')?></p>
<?php
if ( !empty($exp_time) && $exp_time > 0 && $exp_time < strtotime( "+1 month" ) ) {
    $days_left = round( ( $exp_time - strtotime( "now" ) ) / 86400 );
    $html .= sprintf(__( '<a href="%s">Your license is expiring in %u days, would you like to extend it?</a>', 'fluistr-auth' ), $this->product->get_extension_url( 'license-expiring-notice' ),$days_left);
    $border = 'border-bottom-color:#ffc107;border-bottom-width:3px;';
}
?>
    <input type="text" style="<?php echo $border?>width:100%;max-width:300px;margin-bottom:10px" name="wp_fluistr[license_key]" value="<?php echo $license->get_license_key()?>" />
<?php

            if (!defined('WP_FLUISTR_LICENSED') || empty($license_class)):
                echo '<input type="submit" name="activate-license" id="activate-license" class="button-primary" value="'.__('Activate', 'fluistr-auth').'" />';
            else:
                echo '<input type="submit" name="deactivate-license" id="deactivate-license" class="button" value="'.__('Deactivate', 'fluistr-auth').'" />';
            endif;
?>
    <div class="spacer"></div>
</div>
<?php if (!defined('WP_FLUISTR_LICENSED') || empty($license_class)):?>

<div class="section-part">
    <div class="sections-box">
      <div class="box-half">
         <h2><?php _e('Get a Pro licence!', 'fluistr-auth')?></h2>
         <p><?php _e('This websites has the free version of Fluistr installed. It works fine, but if you want to allow more users to use Fluistr, you can purchase a Pro license. A Pro license offers the possibility to allow an unlimited number of users to use Fluistr. It also entitles you to 1 year of free updates and support, and remains active for an unlimited period.','fluistr-auth')?></p>
         <p><a class="button-primary" href="https://fluistr.com/pricing/" target="_blank">Get a Pro licence</a></p>
         <br/>
      </div>
      <div class="box-half" style="padding:40px">
         <img src="<?php echo plugins_url( '/modules/fluistr-settings/assets/dashboard-users.jpg', WP_FLUISTR_PLUGIN_BASENAME)?>" width="100%" />
      </div>
   </div>
</div>
<?php endif; ?>